Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Interface NativeInterfaceListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  NativeInterfaceAdapter

    public interface NativeInterfaceListener

extends EventListener

A listener to notify of the various events of the native interface.

Author:
  Christopher Deckers

Method Summary
`void` | `nativeInterfaceClosed()` Invoked when the native interface is closed, which can happen because of a user action or if the interface gets closed because of an error.
`void` | `nativeInterfaceInitialized()` Invoked when the native interface is initialized, which can happen only once.
`void` | `nativeInterfaceOpened()` Invoked when the native interface is opened, which can happen because of a user action or when the framework automatically re-opens the interface after an error closed it.

Method Detail

### nativeInterfaceInitialized

    void nativeInterfaceInitialized()

  Invoked when the native interface is initialized, which can happen only once. This event is not necessarily received in the UI thread.

### nativeInterfaceOpened

    void nativeInterfaceOpened()

  Invoked when the native interface is opened, which can happen because of a user action or when the framework automatically re-opens the interface after an error closed it. This event is not necessarily received in the UI thread.

### nativeInterfaceClosed

    void nativeInterfaceClosed()

  Invoked when the native interface is closed, which can happen because of a user action or if the interface gets closed because of an error. Note that an error usually means that the user killed the process or that one of the native components crashed the process, which should be a rare condition. This event is not necessarily received in the UI thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD